summaryrefslogtreecommitdiff
path: root/runcoverity.sh
diff options
context:
space:
mode:
authorArne Schwabe <arne@rfc2549.org>2021-03-12 15:54:17 +0100
committerArne Schwabe <arne@rfc2549.org>2021-03-12 16:00:27 +0100
commit3bc7b0bf5d072479413471211d85ed3e5b51bab8 (patch)
treeb95d4d363f8fcf7eaed37d5718183159de20feec /runcoverity.sh
parentfea8027f679bf6031342f3972cab7c32ad6e095e (diff)
Add small script to run coverity
Diffstat (limited to 'runcoverity.sh')
-rwxr-xr-xruncoverity.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/runcoverity.sh b/runcoverity.sh
new file mode 100755
index 00000000..3d1f957b
--- /dev/null
+++ b/runcoverity.sh
@@ -0,0 +1,14 @@
+#!/bin/bash -xe
+export PATH=$PATH:/Applications/cov-analysis-macosx-2020.09/bin
+
+if [ -n ${COVERITY_CONNECT_HOST} ]; then
+ echo COVERITY_CONNECT_HOST not set
+ exit 1
+fi
+
+./gradlew -b build.gradle.kts --no-daemon clean
+cov-build --dir .coverity/idir --config .coverity/cfg.xml ./gradlew -b build.gradle.kts --no-daemon assembleUiRelease
+
+cov-analyze --dir .coverity/idir --all --strip-path ${PWD}/main/src/main/cpp --strip-path ${PWD}/main/src --strip-path ${PWD} --strip-path /Users/arne/oss/android-sdk-macosx/ndk/21.1.6352462/toolchains/llvm/prebuilt/darwin-x86_64/sysroot/
+
+cov-commit-defects --dir .coverity/idir --ssl -host ${COVERITY_CONNECT_HOST} --stream icsopenvpn-styx-master --auth-key-file ~/.coverity/auth-key.txt